/***************************************************************************
 *   Copyright (C) 2007 by Gordon Miller                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* dimmer.c - dimmer functions for `xspect' by Gordon Miller 2007 */

#include "xspect.h"
#include "extern.h"

int
channel_is (int param)
{
	return (stereo_channel == param);

}																/* end channel_is */

int
rate_is (int param)
{
	return (rate_index == param);

}																/* end rate_is */

int
averaging_is (int param)
{
	return (averaging_factor == param);

}																/* end averaging_is */

int
averaging_off (int dummy)
{
	return (!averaging_mode);

}																/* end averaging_off */

int
overlap_is (int param)
{
	return (overlap_factor == param);

}																/* end overlap_is */

int
overlap_off (int dummy)
{
	return (!overlap_mode);

}																/* end overlap_off */

int
x_zoom_is (int param)
{
	return (zoom_factor == param);

}																/* end zoom_is */

int
x_zoom_off (int dummy)
{
	return (num_bins == WIDE);

}																/* end x_zoom_off */

int
x_zoom_max (int dummy)
{
	return (num_bins == NBINMIN);

}																/* end x_zoom_max */

int
x_zoom_start (int dummy)
{
	return (first_bin == BINMIN);

}																/* end x_zoom_start */

int
x_zoom_end (int dummy)
{
	return (first_bin == WIDE - num_bins);

}																/* end x_zoom_end */

int
y_zoom_off (int dummy)
{
	return (log_base == LOGBASEMIN && log_top == LOGTOPMAX);

}																/* end y_zoom_off */

int
y_zoom_max (int dummy)
{
	return (log_top == log_base + LOGMIN);

}																/* end y_zoom_max */

int
y_zoom_top (int dummy)
{
	return (log_top == LOGTOPMAX);

}																/* end y_zoom_top */

int
y_zoom_bottom (int dummy)
{
	return (log_base == LOGBASEMIN);

}																/* end y_zoom_bottom */

int
freeze_on (int dummy)
{
	return (freeze_mode);

}																/* end freeze_on */

/* vi: set ts=2: */
