/***************************************************************************
 *   Copyright (C) 2007 by Gordon Miller                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* main.c - `xspect'  by Gordon Miller 2007 */

#include "xspect.h"
#include "extern.h"

int
main (int argc, char *argv[])
{
	int changed = 0;

	initialize (argc, argv);

	while (1)
	{
		check_dialog ();

		if (!freeze_mode)
		{
			acquire_data ();
			fftw_execute (the_plan);
			get_power ();
		}

		if (peak_mode && (!freeze_mode || scrolled || first_peak))
		{
			draw_peak ();
			changed = 1;
		}

		if (!freeze_mode || scrolled)
		{
			draw_graph ();
			changed = 1;
		}

		scrolled = 0;
		first_peak = 0;

		if (changed)
		{
			XSync (display, False);
			XClearWindow (display, window);
		}

		if (!freeze_mode)
			get_next_block ();

		else
			snooze ();

	}															/* end while */
}																/* end main */

/* vi: set ts=2: */
