/***************************************************************************
 *   Copyright (C) 2007 by Gordon Miller                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* params.c - check `xspect' program variables by Gordon Miller 2007 */

#include "xspect.h"
#include "extern.h"

void
check_parameters (void)
{
	if (rate_index < MININDEX)
		rate_index = MININDEX;

	if (rate_index > MAXINDEX)
		rate_index = MAXINDEX;

	if (stereo_channel < STEREOMIN)
		stereo_channel = STEREOMIN;

	if (stereo_channel > STEREOMAX)
		stereo_channel = STEREOMAX;

	if (dc_offset < MINDC)
		dc_offset = MINDC;

	if (dc_offset > MAXDC)
		dc_offset = MAXDC;

	if (rainbow_mode < 0)
		rainbow_mode = 0;

	if (rainbow_mode > 1)
		rainbow_mode = 1;

	if (averaging_mode < 0)
		averaging_mode = 0;

	if (averaging_mode > 1)
		averaging_mode = 1;

	averaging_factor /= AVERSTEP;
	averaging_factor *= AVERSTEP;

	if (averaging_factor < AVERMIN)
		averaging_factor = AVERMIN;

	if (averaging_factor > AVERMAX)
		averaging_factor = AVERMAX;

	if (peak_mode < 0)
		peak_mode = 0;

	if (peak_mode > 1)
		peak_mode = 1;

	if (overlap_mode < 0)
		overlap_mode = 0;

	if (overlap_mode > 1)
		overlap_mode = 1;

	if (overlap_factor < OVERMIN)
		overlap_factor = OVERMIN;

	if (overlap_factor > OVERMAX)
		overlap_factor = OVERMAX;

	if (graticule_mode < 0)
		graticule_mode = 0;

	if (graticule_mode > 1)
		graticule_mode = 1;

	if (freeze_mode < 0)
		freeze_mode = 0;

	if (freeze_mode > 1)
		freeze_mode = 1;

	if (log_base < LOGBASEMIN)
		log_base = LOGBASEMIN;

	if (log_base > LOGBASEMAX)
		log_base = LOGBASEMAX;

	if (log_top < LOGTOPMIN)
		log_top = LOGTOPMIN;

	if (log_top > LOGTOPMAX)
		log_top = LOGTOPMAX;

	if (log_top <= log_base)
		log_top = log_base + LOGMIN;

	if (first_bin < BINMIN)
		first_bin = BINMIN;

	if (first_bin > BINMAX)
		first_bin = BINMAX;

	if (num_bins < NBINMIN)
		num_bins = NBINMIN;

	if (num_bins > BINMAX)
		num_bins = BINMAX;

	if (back.red < PALMIN)
		back.red = PALMIN;

	if (back.red > PALMAX)
		back.red = PALMAX;

	if (back.green < PALMIN)
		back.green = PALMIN;

	if (back.green > PALMAX)
		back.green = PALMAX;

	if (back.blue < PALMIN)
		back.blue = PALMIN;

	if (back.blue > PALMAX)
		back.blue = PALMAX;

	if (grat.red < PALMIN)
		grat.red = PALMIN;

	if (grat.red > PALMAX)
		grat.red = PALMAX;

	if (grat.green < PALMIN)
		grat.green = PALMIN;

	if (grat.green > PALMAX)
		grat.green = PALMAX;

	if (grat.blue < PALMIN)
		grat.blue = PALMIN;

	if (grat.blue > PALMAX)
		grat.blue = PALMAX;

	if (high.red < PALMIN)
		high.red = PALMIN;

	if (high.red > PALMAX)
		high.red = PALMAX;

	if (high.green < PALMIN)
		high.green = PALMIN;

	if (high.green > PALMAX)
		high.green = PALMAX;

	if (high.blue < PALMIN)
		high.blue = PALMIN;

	if (high.blue > PALMAX)
		high.blue = PALMAX;

	if (graph.red < PALMIN)
		graph.red = PALMIN;

	if (graph.red > PALMAX)
		graph.red = PALMAX;

	if (graph.green < PALMIN)
		graph.green = PALMIN;

	if (graph.green > PALMAX)
		graph.green = PALMAX;

	if (graph.blue < PALMIN)
		graph.blue = PALMIN;

	if (graph.blue > PALMAX)
		graph.blue = PALMAX;

	if (label.red < PALMIN)
		label.red = PALMIN;

	if (label.red > PALMAX)
		label.red = PALMAX;

	if (label.green < PALMIN)
		label.green = PALMIN;

	if (label.green > PALMAX)
		label.green = PALMAX;

	if (label.blue < PALMIN)
		label.blue = PALMIN;

	if (label.blue > PALMAX)
		label.blue = PALMAX;

	if (border.red < PALMIN)
		border.red = PALMIN;

	if (border.red > PALMAX)
		border.red = PALMAX;

	if (border.green < PALMIN)
		border.green = PALMIN;

	if (border.green > PALMAX)
		border.green = PALMAX;

	if (border.blue < PALMIN)
		border.blue = PALMIN;

	if (border.blue > PALMAX)
		border.blue = PALMAX;

	if (text.red < PALMIN)
		text.red = PALMIN;

	if (text.red > PALMAX)
		text.red = PALMAX;

	if (text.green < PALMIN)
		text.green = PALMIN;

	if (text.green > PALMAX)
		text.green = PALMAX;

	if (text.blue < PALMIN)
		text.blue = PALMIN;

	if (text.blue > PALMAX)
		text.blue = PALMAX;

	if (low.red < PALMIN)
		low.red = PALMIN;

	if (low.red > PALMAX)
		low.red = PALMAX;

	if (low.green < PALMIN)
		low.green = PALMIN;

	if (low.green > PALMAX)
		low.green = PALMAX;

	if (low.blue < PALMIN)
		low.blue = PALMIN;

	if (low.blue > PALMAX)
		low.blue = PALMAX;

	if (dialog_fore.red < PALMIN)
		dialog_fore.red = PALMIN;

	if (dialog_fore.red > PALMAX)
		dialog_fore.red = PALMAX;

	if (dialog_fore.green < PALMIN)
		dialog_fore.green = PALMIN;

	if (dialog_fore.green > PALMAX)
		dialog_fore.green = PALMAX;

	if (dialog_fore.blue < PALMIN)
		dialog_fore.blue = PALMIN;

	if (dialog_fore.blue > PALMAX)
		dialog_fore.blue = PALMAX;

	if (dialog_back.red < PALMIN)
		dialog_back.red = PALMIN;

	if (dialog_back.red > PALMAX)
		dialog_back.red = PALMAX;

	if (dialog_back.green < PALMIN)
		dialog_back.green = PALMIN;

	if (dialog_back.green > PALMAX)
		dialog_back.green = PALMAX;

	if (dialog_back.blue < PALMIN)
		dialog_back.blue = PALMIN;

	if (dialog_back.blue > PALMAX)
		dialog_back.blue = PALMAX;

	if (dialog_title.red < PALMIN)
		dialog_title.red = PALMIN;

	if (dialog_title.red > PALMAX)
		dialog_title.red = PALMAX;

	if (dialog_title.green < PALMIN)
		dialog_title.green = PALMIN;

	if (dialog_title.green > PALMAX)
		dialog_title.green = PALMAX;

	if (dialog_title.blue < PALMIN)
		dialog_title.blue = PALMIN;

	if (dialog_title.blue > PALMAX)
		dialog_title.blue = PALMAX;

	if (dialog_dim.red < PALMIN)
		dialog_dim.red = PALMIN;

	if (dialog_dim.red > PALMAX)
		dialog_dim.red = PALMAX;

	if (dialog_dim.green < PALMIN)
		dialog_dim.green = PALMIN;

	if (dialog_dim.green > PALMAX)
		dialog_dim.green = PALMAX;

	if (dialog_dim.blue < PALMIN)
		dialog_dim.blue = PALMIN;

	if (dialog_dim.blue > PALMAX)
		dialog_dim.blue = PALMAX;

	if (dialog_high.red < PALMIN)
		dialog_high.red = PALMIN;

	if (dialog_high.red > PALMAX)
		dialog_high.red = PALMAX;

	if (dialog_high.green < PALMIN)
		dialog_high.green = PALMIN;

	if (dialog_high.green > PALMAX)
		dialog_high.green = PALMAX;

	if (dialog_high.blue < PALMIN)
		dialog_high.blue = PALMIN;

	if (dialog_high.blue > PALMAX)
		dialog_dim.blue = PALMAX;

}																/* end check_parameters */

/* vi: set ts=2: */
