/***************************************************************************
 *   Copyright (C) 2007 by Gordon Miller                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* reset.c - reset functions for `xspect' by Gordon Miller 2007 */

#include "xspect.h"
#include "extern.h"

void
reset_last_y (void)
{
	int i, *ip;

	for (ip = last_y, i = WIDE; i; i--)
		*ip++ = WINDOW_BOTTOM;

}																/* end reset_last_y */

void
reset_averaging (void)
{
	int i;
	double *fp;

	for (i = MAX_LEN / 2, fp = last_power; i; i--)
		*fp++ = 0.0;

	averaging_beta = averaging_factor * 0.01;
	averaging_alpha = 1.0 - averaging_beta;

}																/* end reset_averaging */

void
reset_overlap (void)
{
	base_offset = MAX_LEN / overlap_factor;
	queue_buffer = 0;
	process_buffer1 = 0;
	process_buffer2 = 1;
	len1 = MAX_LEN;
	len2 = 0;

}																/* end reset_overlap */

void
reset_zoom (void)
{
	zoom_factor = WIDE / num_bins;

}																/* end reset_zoom */

/* vi: set ts=2: */
