/***************************************************************************
 *   Copyright (C) 2007 by Gordon Miller                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* update.c - header update for `xspect' by Gordon Miller 2007 */

#include "xspect.h"
#include "extern.h"

static char str[80];

void
update_sample_rate (void)
{
	sprintf (str, "%5d", allow_rates[rate_index]);
	XDrawImageString (display, shadow, high_gc,
										SRX + 13 * FONT_WIDTH, SRY, str, 5);

}																/* end update_sample_rate */

void
update_overlap (void)
{
	if (overlap_mode)
	{
		sprintf (str, "%3d", overlap_factor);
		XDrawImageString (display, shadow, high_gc,
											OVX + 15 * FONT_WIDTH, OVY, str, 3);
	}

	else
		XDrawImageString (display, shadow, low_gc,
											OVX + 15 * FONT_WIDTH, OVY, "Off", 3);
}																/* end update_overlap */

void
update_dc_offset (void)
{
	sprintf (str, "%5d", dc_offset);
	XDrawImageString (display, shadow, high_gc,
										DCX + 10 * FONT_WIDTH, DCY, str, 5);

}																/* end update_dc_offset */

void
update_stereo (void)
{
	sprintf (str, "%5s", mode_names[stereo_channel]);
	XDrawImageString (display, shadow, high_gc,
										SMX + 13 * FONT_WIDTH, SMY, str, 5);

}																/* end update_stereo */

void
update_averaging (void)
{
	if (averaging_mode)
	{
		sprintf (str, "%3d", averaging_factor);
		XDrawImageString (display, shadow, high_gc,
											AVX + 15 * FONT_WIDTH, AVY, str, 3);
	}

	else
		XDrawImageString (display, shadow, low_gc,
											AVX + 15 * FONT_WIDTH, AVY, "Off", 3);

}																/* end update_averaging */

void
update_zoom (void)
{
	if (zoom_factor > 1)
	{
		sprintf (str, "%3d", zoom_factor);
		XDrawImageString (display, shadow, high_gc,
											ZMX + 15 * FONT_WIDTH, ZMY, str, 3);
	}

	else
		XDrawImageString (display, shadow, low_gc,
											ZMX + 15 * FONT_WIDTH, ZMY, "Off", 3);

}																/* end update_zoom */

void
update_freeze (void)
{
	XDrawImageString (display, shadow, (freeze_mode ? high_gc : low_gc),
										FRX + 12 * FONT_WIDTH, FRY, (freeze_mode ? " On" : "Off"),
										3);

}																/* end update_freeze */

void
update_rainbow (void)
{
	XDrawImageString (display, shadow, (rainbow_mode ? high_gc : low_gc),
										RAX + 12 * FONT_WIDTH, RAY,
										(rainbow_mode ? " On" : "Off"), 3);

}																/* end update_rainbow */

void
update_frame_rate (void)
{
	sprintf (str, "%5.1f", frame_rate);
	XDrawImageString (display, shadow, high_gc,
										FSX + 13 * FONT_WIDTH, FSY, str, 5);

}																/* end update_frame_rate */

/* vi: set ts=2: */
